%define name cpudyn
%define version 1.0.1
%define release %mkrel 6

Summary: A tools to control CPU frequency
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://mnm.uib.es/gallir/cpudyn/download/%{name}-%{version}.tar.bz2
Source1: %{name}.initscript
License: GPL
Group: System/Kernel and hardware
Url: http://mnm.uib.es/~gallir/cpudyn/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch: %ix86 ppc x86_64
Requires(pre): rpm-helper
Requires(post): rpm-helper

%description
This program control the speed in Intel SpeedStep, Pentium 4 Mobile
and PowerPC machines with the cpufreq compiled in the kernel.

It allows to reduce cpu speed in order to save battery and reduce 
temperature of the processor. It can also put the drive on standby mode.

Tested with 2.4, Pentium 3 Speedstep Laptop (Dell Latitude),
Pentium 4 Mobile Laptop (Dell Inspiron), AMD Power Now, Apple iBook,
IBM Thinkpad. cpudyn is just a user space program, so it will work on
every processor supported by the kernel's cpufreq driver.

%prep
%setup -q -n %name

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_sbindir,%_mandir/man8,%_sysconfdir/sysconfig,%_initrddir}
cp cpudynd %buildroot%_sbindir/cpudynd
#bzip2 cpudynd.8
cp cpudynd.8 %buildroot%_mandir/man8/

install -m 755 %SOURCE1 %buildroot%_initrddir/%name

cat > %buildroot/%_sysconfdir/sysconfig/%name <<EOF
# see man 8 cpudynd  for details
OPTS="-i 1 -p 0.5 0.90"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sbindir/cpudynd
%_mandir/man8/cpudynd*
%config(noreplace) %_sysconfdir/sysconfig/%{name}
%config(noreplace) %_initrddir/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}





%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-6mdv2009.0
+ Revision: 243722
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.1-4mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Dec 18 2006 Olivier Blin <oblin@mandriva.com> 1.0.1-4mdv2007.0
+ Revision: 98676
- do not require cpufreq, frequency scaling modules are now configured by DrakX/harddrake

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.1-3mdv2007.0
+ Revision: 53148
- rebuild, pinit
- Import cpudyn

* Sat Mar 25 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.1-2mdk
- rebuild
- %%mkrel && Prereq fix

* Sat Mar 19 2005 Michael Scherer <misc@mandrake.org> 1.0.1-1mdk
- New release 1.0.1
- rpmbuildupdatable

* Fri Jan 14 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-4mdk
- change initscript level to start after cpufreq (Davy Defaud <davy.defaud@free.fr>)

* Wed Nov 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-3mdk
- Fix bug #12246 (-f %%sysconfdir/sysconfig/%%name instead -x)

* Wed Aug 25 2004 Erwan Velu <erwan@mandrakesoft.com> 1.0-2mdk
- Requires cpufreq

* Wed Jun 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-1mdk
- 1.0

* Sat May 08 2004 Michael Scherer <misc@mandrake.org> 0.99.0-2mdk
- remove rpmlint errors
- improved description
- fix %%post script

* Thu Apr 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.99.0-1mdk
- 0.99.0

* Thu Jan 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1-1mdk
- 0.6.1

* Sun Jan 11 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.6.0-1mdk
- 0.6.0

* Sun Dec 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-1mdk
- 0.5.0
- compil with $RPM_OPT_FLAGS

